; Special template - replacement for wincis.tpl, version .94D
;
;   Uploaded by Earl Adamy 76340,575
;
;   History:
;      08/12/93  Copied changes into .94E WINCIS.TPL
;      08/05/93  Update to handle new CIS sections settings
;      07/28/93  Updated for LL's fixes to basic wincis.tpl
;
;   Original wincis.tpl provided with .94D and modified to include:
;     Announcement message capture uploaded by 70751,1503
;     Faster logon
;     Faster forum entry
;
;  EAPATCH 1 of 3 - faster logon
;     Eliminates the 4 set commands in wincis.tpl for each session
;        which can be time-consuming for frequent CIS users
;
;     CAUTION BEFORE USING:
;        Go online interactive: GO OPTIONS
;        Set the following options:
;           BRIEF    YES
;           PAGED    NO
;           BLANK    YES
;           WIDTH    80
;        Make settings permanent
;  RSPATCH 1 of 1 - capture the forum announcements
;        Original patch by RS to capture announcements to messages
;  EAPATCH 2 of 3 & 3 of 3 - faster forum entry
;     Eliminates several set commands at the entry to each forum by
;        issuing a single set options permanent command
;     Sets permanent defaults
;        Sets standard defaults
;        Sets prompt char
;        Sets sections
;            *** sections stuff not working due to variable number of
;                sections in forums which may or may not cause paging
;            need SECTIONS ALL
;            need SECTIONS NEW Y
;
;     CAUTION BEFORE USING:
;        WINCIM and CISOP handle their own forum settings so these
;           changes do not cause problems. If you are using other CIS
;           navigators which do not handle their own settings, these
;           permanent settings may cause problems. If unsure, test the
;           changes by accessing one forum with WinCIS and then immediately
;           go to the same forum with your other software.
;   
;
;
[PROLOG]
;
; This script file was created on &&DATE at &&TIME by &&USERNAME.
;
;***********************************************************************
;       WinCIS &&VERSION
;       Copyright(C) 1992
;       Larry Lee (76670,1471)
;       16038 Augusta Drive
;       Chino Hills, Ca 91709
;***********************************************************************
;
;
; EAPATCH 1 of 3 (eliminate set commands each logon)
;WAIT !
;SEND SET BRIEF YES^M
;WAIT !
;SEND SET PAGED NO^M
;WAIT !
;SEND SET BLANK YES^M
;WAIT !
;SEND SET WIDTH 80^M
WAIT !
;
[EPILOG]
;
;***********************************************************************
; All Done, Just Log off CompuServe
;***********************************************************************
;
LOGOFF

[READ MAIL]
;
; Read Any Waiting CompuServe Mail
;
 IF MAILWAITING
  @REMOVEACTION MAIL Read.Waiting
  %ECHO Reading CompuServe Mail
  %READMAIL &&SYSMESSAGEPATHMAIL.MSG
    %%ECHO CompuServe Mail Read Complete!
    %%REMOVEACTION MAIL Read.Waiting
    %@ECHO Unable to Read your CompuServe Mail!


[SEND MAIL]
;
; Send Any Waiting CompuServe Mail
;
  IF FILEEXISTS &&SYSMESSAGEPATHMAIL.SND
  @REMOVEACTION MAIL Send.Replies
  %ECHO Sending CompuServe Mail
  %SENDMAIL  &&SYSMESSAGEPATHMAIL.SND
    %@ECHO Unable to Send your CompuServe Mail!
    %%ECHO CompuServe Mail Send Complete!
    %%REMOVEACTION MAIL Send.Replies

[PROMPT MAIL OUTBOX]
;
; Ask what about Overwriting to the Mail OutBox
;
     %%ASK OVERWRITE? &&SYSMESSAGEPATHMAIL.MOX  Do you want to save your outgoing Mail in &&SYSMESSAGEPATHMAIL.MOX
     %%%ECHO Saving Your Out Going Mail to &&SYSMESSAGEPATHMAIL.MOX
     %%%FILEMARK &&SYSMESSAGEPATHMAIL.MOX MAIL_SENT CIS:MAIL
     %%%COPYFILE &&SYSMESSAGEPATHMAIL.SND &&SYSMESSAGEPATHMAIL.MOX
; At This point the Mail File Is No Longer Needed
     %%KILLFILE &&SYSMESSAGEPATHMAIL.SND


[APPEND MAIL OUTBOX]
;
; Append Queued Mail to the Mail OutBox
;
   %%ECHO Appending your outgoing Mail to &&SYSMESSAGEPATHMAIL.MOX
   %%FILEMARK &&SYSMESSAGEPATHMAIL.MOX MAIL_SENT &&FORUMNAME
   %%COPYFILE &&SYSMESSAGEPATHMAIL.SND &&SYSMESSAGEPATHMAIL.MOX
; At This point the Mail File Is No Longer Needed
   %%%KILLFILE &&SYSMESSAGEPATHMAIL.SND

[OVERWRITE MAIL OUTBOX]
;
; Overwrite Queued Mail to the &&FORUMNAME OutBox
;
   %%ECHO Saving your outgoing Mail in &&SYSPATH&&FORUMNAME.MOX
   %%KILLFILE &&SYSMESSAGEPATHMAIL.MOX
   %%FILEMARK &&SYSMESSAGEPATHMAIL.MOX MAIL_SENT &&FORUMNAME
   %%COPYFILE &&SYSMESSAGEPATHMAIL.SND &&SYSMESSAGEPATHMAIL.MOX
; At This point the Message File Is No Longer Needed
   %%%KILLFILE &&SYSMESSAGEPATHMAIL.SND

[DELETE MAIL OUTBOX]
;
; Never Save Queued Mail to the Mail OutBox
;
   %%ECHO Deleting outgoing Mail: &&SYSMESSAGEPATHMAIL.SND
; At This point the Mail File Is No Longer Needed
   %%KILLFILE &&SYSMESSAGEPATHMAIL.SND

[GO FORUM]
;
;***********************************************************************
; Lets enter the &&FORUMNAME forum, &&FORUMTITLE
;***********************************************************************
ECHO Going to &&FORUMNAME, &&FORUMTITLE

; RSPATCH 1 of 1 (8 lines to capture announcements)
FILEMARK &&MESSAGEPATH&&FORUMNAME.MSG Read_Annoucements &&FORUMNAME
; PUTFILE &&MESSAGEPATH&&FORUMNAME.MSG ^M^J#: 0 S-1/ Forum Annoucement^M^J    &DATE  &TIME
PUTFILE &&MESSAGEPATH&&FORUMNAME.MSG ^M^J#: 0 S-1/ Forum Annoucement^M^J    01-Jan-93  &TIME
PUTFILE &&MESSAGEPATH&&FORUMNAME.MSG ^M^JSb: News Flash^M^JFm: System^M^JTo:^M^J^M^J
CAPTURE &&MESSAGEPATH&&FORUMNAME.MSG
GO &&GATEWAY:&&FORUMNAME
CAPTURE OFF

;
; Join Forum If Required!
;
  %IF NOT JOINED
    %@REMOVEACTION &&FORUMNAME Join.Forum       
    %%ECHO Attempting to Join &&FORUMNAME, &&FORUMTITLE
    %%JOIN
	%%%ECHO Successfully Joined &&FORUMNAME, &&FORUMTITLE
	%%%REMOVEACTION &&FORUMNAME Join.Forum  
	%%WAIT !
	%%@ECHO Sorry, unable to Join &&FORUMNAME, &&FORUMTITLE
	%%@SETERRORLEVEL 0 FALSE
;
; Set Session Defaults to Command Mode for Forum Processing
;
; EAPATCH 2 of 3 (5 lines to set Perm session settings)
;  %ECHO Setting Temporary Session Defaults in &&FORUMNAME, &&FORUMTITLE
;  %SEND OPT;INI;1;MOD;3;EDI EDIT;PAU N;REP LIST;TYPE N;SKIP N;CHAR;S^M
;  %WAIT New prompt:
;  %%SEND ^^G^M
  %ECHO Setting Permanent Session Defaults in &&FORUMNAME, &&FORUMTITLE
  %SEND OPT;INI;1;MOD;3;PAU N;EDI EDIT;REP LIST;TYPE N;SKIP N;P^M
  %WAIT FORUM !
    %@SETERRORLEVEL 0 FALSE
;
  @ECHO Sorry, unable to enter the &&FORUMNAME Forum!
  %ECHO Now in &&FORUMNAME, &&FORUMTITLE
;
; Check for Waiting Messages in the &&FORUMNAME Forum
;
  %IF MESSAGESWAITING
    %@ECHO No Messages Waiting to be Read On &&FORUMNAME, &&FORUMTITLE
    %@REMOVEACTION &&FORUMNAME Read.Waiting.Messages
    %%ECHO Reading Waiting Messages of &&FORUMNAME, &&FORUMTITLE
    %%SCAN &&MESSAGEPATH&&FORUMNAME.MSG READ WAIT
    %%REMOVEACTION &&FORUMNAME Read.Waiting.Messages
;

[GO LIB]
;
; Lets enter Library #&&LIBRARY of &&FORUMNAME
  %LIB &&LIBRARY
;
; If something goes wrong... Inform the user and bypass this Library!
;   Otherwise all is well... Continue processing (downloads, catalogs, etc)
;
    %@ECHO Sorry, unable to enter Library #&&LIBRARY of &&FORUMNAME, &&FORUMTITLE
    %%ECHO Now In &&FORUMNAME, &&FORUMTITLE Libraries
;

[JOIN FORUM]
;
; Commented Out Since It's Done at GO FORUM Automatically
; Join The Forum
;
;  %IF NOT JOINED
;    %@REMOVEACTION &&FORUMNAME Join.Forum
;    %%ECHO Attempting to Join &&FORUMNAME, &&FORUMTITLE
;    %%JOIN
;       %%%ECHO Successfully Joined &&FORUMNAME, &&FORUMTITLE
;       %%%REMOVEACTION &&FORUMNAME Join.Forum
;       %%@ECHO Sorry, unable to Join &&FORUMNAME Forum!

[SET FORUM DEFAULTS]
;
; Set Permanent Session Defaults to Command Mode for Forum Processing
;
;  EAPATCH 3 of 3 (replace original 4 lines with 13 lines)
;  %ECHO Setting Permanent Session Defaults in &&FORUMNAME, &&FORUMTITLE
;  %SEND OPT;INI;1;MOD;3;EDI EDIT;PAU N;REP LIST;TYPE N;SKIP N;P^M
;  %WAIT FORUM !
;  %REMOVEACTION &&FORUMNAME Set.Defaults

  %ECHO Setting Permanent Session Defaults in &&FORUMNAME, &&FORUMTITLE
  %SEND OPT;INI;1;MOD;3;EDI EDIT;PAU N;REP LIST;TYPE N;SKIP N;CHAR;P^M
  %WAIT New prompt:
  %%SEND ^^G^M
  %%WAIT FORUM !
  %%REMOVEACTION &&FORUMNAME Set.Defaults
;  pending stuff - sections commands don't work
;  %%%SEND OPT;SECTIONS NEW^M
;  %%%WAIT (Yes or No):
;  %%%%SEND Y^M
;  %%%%WAIT !
;  %%%%%SEND ALL^M
;  %%%%%WAIT FORUM !
;  %%%%%%REMOVEACTION &&FORUMNAME Set.Defaults
 

[UPDATE FORUM SECTIONS]
;
; Read the Section Descriptions
;
  %ECHO Updating &&FORUMNAME, &&FORUMTITLE Message And Library Descriptions
  %KILLFILE &&CONTROLPATH&&FORUMNAME.SEC
  %READ &&CONTROLPATH&&FORUMNAME.SEC NAM;1;2;M
  %REMOVEACTION &&FORUMNAME Update.Sections

[READ FORUM ANNOUNCEMENTS]
;
; Read the &&FORUMNAME Forum Announcements
;
  %ECHO Reading &&FORUMNAME, &&FORUMTITLE Announcements
  %READANN &&MESSAGEPATH&&FORUMNAME.MSG
  %REMOVEACTION &&FORUMNAME Read.Announcements

[GO MESSAGES]
;
; Enter Message Area of the &&FORUMNAME Forum
;
  %MESSAGES
;
; If something goes wrong... Inform the user and bypass the Message Area!
;   Otherwise all is well... Continue processing (READS, SCANS, ...)
;
   %@ECHO Sorry, unable to enter Message Area of &&FORUMNAME, &&FORUMTITLE
   %%ECHO Now In &&FORUMNAME, &&FORUMTITLE Message Area
;

[READ FORUM MESSAGES]
    %%READ &&MESSAGEPATH&&FORUMNAME.MSG READ THR NUM:&&READMSGNUMBER

[RESET READ FORUM MESSAGES]
;
;  At this point no messages need to be read so Kill Then Read Msg Index
    %%REMOVEACTION &&FORUMNAME Read.Messages
    %%KILLFILE &&CONTROLPATH&&FORUMNAME.MXS

[READ WAITING FORUM MESSAGES]
;
; Commented Out Since It's Done at GO FORUM Automatically
; Check for Waiting Messages in the &&FORUMNAME Forum
;
;  %%IF MESSAGESWAITING
;    %%@REMOVEACTION &&FORUMNAME Read.Waiting.Messages
;    %%@ECHO No Messages Waiting to be Read On &&FORUMNAME, &&FORUMTITLE
;    %%%ECHO Reading Waiting Messages of &&FORUMNAME, &&FORUMTITLE
;    %%%SCAN &&MESSAGEPATH&&FORUMNAME.MSG READ WAIT
;    %%%REMOVEACTION &&FORUMNAME Read.Waiting.Messages

[READ NEW FORUM MESSAGES]
;
; Read New Messages in the &&FORUMNAME Forum
;
    %%ECHO Reading New Messages of &&FORUMNAME, &&FORUMTITLE in Sections &&MSGSECTIONS
    %%SCAN &&MESSAGEPATH&&FORUMNAME.MSG READ NEW &&MSGSECTIONS
    %%REMOVEACTION &&FORUMNAME Read.New.Messages

[QUICKSCAN FORUM MESSAGE HEADERS]
;
; Scan For New Messages Threads in the &&FORUMNAME Forum and Overwrite existing File
;
    %%ECHO Scanning For New Threads of &&FORUMNAME, &&FORUMTITLE in Sections &&MSGSECTIONS
    %%KILLFILE &&CONTROLPATH&&FORUMNAME.MQS
    %%SCAN &&CONTROLPATH&&FORUMNAME.MQS SCAN QUICK NEW &&MSGSECTIONS;T
    %%REMOVEACTION &&FORUMNAME Scan.New.Messages

[SEND FORUM MESSAGE]
;
; Sending Queued Messages and Replies to the &&FORUMNAME Forum
;
    %%ECHO Sending Queued Messages and Replies to &&FORUMNAME, &&FORUMTITLE
    %%SENDMSGS &&MESSAGEPATH&&FORUMNAME.SND

[PROMPT MESSAGE OUTBOX]
;
; Ask what to do about copying the OutGoing Messages
;
   %%%ASK OVERWRITE? &&CONTROLPATH&&FORUMNAME.MOX  Do you want to save your outgoing &&FORUMNAME Messages in &&MESSAGEPATH&&FORUMNAME.MOX?
   %%%%ECHO Saving your outgoing Messages to &&MESSAGEPATH&&FORUMNAME.MOX
   %%%%FILEMARK  &&MESSAGEPATH&&FORUMNAME.MOX MESSAGES_SENT &&FORUMNAME
   %%%%COPYFILE  &&MESSAGEPATH&&FORUMNAME.SND &&MESSAGEPATH&&FORUMNAME.MOX
; At This point the Message File Is No Longer Needed
   %%%REMOVEACTION &&FORUMNAME Send.Replies
   %%%KILLFILE &&MESSAGEPATH&&FORUMNAME.SND


[APPEND MESSAGE OUTBOX]
;
; Append Queued Messages and Replies to the &&FORUMNAME Forum OutBox
;
   %%%ECHO Appending your outgoing &&FORUMNAME Messages to &&MESSAGEPATH&&FORUMNAME.MOX
   %%%FILEMARK &&MESSAGEPATH&&FORUMNAME.MOX MESSAGES_SENT &&FORUMNAME
   %%%COPYFILE &&MESSAGEPATH&&FORUMNAME.SND &&MESSAGEPATH&&FORUMNAME.MOX
; At This point the Message File Is No Longer Needed
   %%%%REMOVEACTION &&FORUMNAME Send.Replies
   %%%%KILLFILE &&MESSAGEPATH&&FORUMNAME.SND
;
[OVERWRITE MESSAGE OUTBOX]
;
; Overwrite Queued Messages and Replies to the &&FORUMNAME Forum OutBox
;
   %%%ECHO Saving your outgoing &&FORUMNAME Messages in &&MESSAGEPATH&&FORUMNAME.MOX
   %%%%KILLFILE &&MESSAGEPATH&&FORUMNAME.MOX
   %%%FILEMARK  &&MESSAGEPATH&&FORUMNAME.MOX MESSAGES_SENT &&FORUMNAME
   %%%COPYFILE  &&MESSAGEPATH&&FORUMNAME.SND &&MESSAGEPATH&&FORUMNAME.MOX
; At This point the Message File Is No Longer Needed
   %%%%REMOVEACTION &&FORUMNAME Send.Replies
   %%%%KILLFILE &&MESSAGEPATH&&FORUMNAME.SND

[DELETE MESSAGE OUTBOX]
;
; Never Save Queued Messages to the &&FORUMNAME Forum OutBox
;
   %%%ECHO Deleting outgoing Messages: &&MESSAGEPATH&&FORUMNAME.SND
; At This point the Mail File Is No Longer Needed
   %%%REMOVEACTION &&FORUMNAME Send.Replies
   %%%KILLFILE &&MESSAGEPATH&&FORUMNAME.SND

[SET HIGH MESSAGE COUNTER]
;
; Set The High Message Counter to High Values
;
    %%SEND HIGH;L^M
    %%WAIT !

[OVERWRITE MESSAGES]
;
; Create New or Erase Existing &&FORUMNAME.MSG File if found to exist.
;
    %%KILLFILE &&MESSAGEPATH&&FORUMNAME.MSG

[PROMPT CATALOG]
;
; Ask what to do if a Library Catalog exists for this Forum on Disk
;
   %%IF FILEEXISTS &&CONTROLPATH&&FORUMNAME.LBR
   %%%ASK OVERWRITE? &&CONTROLPATH&&FORUMNAME.LBR  Do you want to Overwrite or Append to the &&FORUMNAME Catalog File?^M^J&&CONTROLPATH&&FORUMNAME.LBR
   %%%@SETERRORLEVEL 3 FALSE
   %%@SETERRORLEVEL 3 TRUE

[APPEND CATALOG]
;
; Append to Existing Library Catalog
;
   %%SETERRORLEVEL 3 TRUE

[OVERWRITE CATALOG]
;
; Overwrite the existing Catalog
;
   %%KILLFILE &&CONTROLPATH&&FORUMNAME.LBR
   %%SETERRORLEVEL 3 TRUE

[SHORT CATALOG SCAN]
;
; Requesting Download Information on &&SCANDESC
;
    %%%ECHO Scanning Libraries of &&FORUMNAME, &&FORUMTITLE
    %%%SCAN &&CONTROLPATH&&FORUMNAME.LBR LIST &&SCANFILE &&SCANLIBS &&SCANAGE &&SCANKEYWORDS
;

[FULL CATALOG SCAN]
;
; Requesting Download Information on &&SCANDESC
;
    %%%ECHO Scanning Libraries of &&FORUMNAME, &&FORUMTITLE
    %%%SCAN &&CONTROLPATH&&FORUMNAME.LBR SCAN &&SCANFILE DES &&SCANLIBS &&SCANAGE &&SCANKEYWORDS
;

[RESET SCAN CATALOG]
;
;  At this Point Library Scans are Complete so Kill Then Search Pattern Index
;
    %%%REMOVEACTION &&FORUMNAME Scan.Libraries
    %%%KILLFILE &&CONTROLPATH&&FORUMNAME.LXC

[DOWNLOAD FILES]
    %%DOWNLOAD &&DOWNLOADFILE &&DOWNLOADPATH &&DOWNLOADUPLD
;          Title: &&DOWNLOADTITLE
;          Library# &&LIBRARY, &&DOWNLOADSIZE Bytes, As of &&DOWNLOADDATE
;

[RESET DOWNLOAD FILES]
;
;  At this Point Downloads are Complete so Kill Then Download Tag List
;
    %%REMOVEACTION &&FORUMNAME Download.Files   
    %%KILLFILE &&CONTROLPATH&&FORUMNAME.LXR

[UPLOAD FILES]
;
; Sending Files
;                           <To be defined>
    %REMOVEACTION &&FORUMNAME Upload.Files      
;
